<template>
  <div class="preview-story non-selectable">
    <div class="preview-story__header column">
      <div class="row items-center">
        <div class="article__user-panel q-mr-md">
          <img src="avatars/avatar.png" alt="" class="article__avatar q-mb-sm" />
        </div>
        <div class="row q-gutter-sm">
          <span :key="index" v-for="(category, index) in props.article.categories">
            {{ category }}
          </span>
        </div>
      </div>
      <div class="row items-start">
        <div class="column justify-center items-center non-selectable" style="width: 80px; height: 80px">
          <img src="~assets/svg/like.svg" alt="" />
          <span class="text-h4">12</span>
        </div>
        <h1 class="q-ml-md text-h1">{{ props.article.title }}</h1>
      </div>
      <div class="row">
        <div class="row" style="margin-left: 96px">
          <img class="q-mr-sm" src="~assets/svg/comments.svg" alt="" />
          <span style="color: #9fa1a8" class="text-subtitle1">8 comments</span>
        </div>
        <div class="row q-ml-md">
          <img class="q-mr-sm" src="~assets/svg/share.svg" alt="" />
          <span style="color: #9fa1a8" class="text-subtitle1">Share</span>
        </div>
      </div>
    </div>
    <div class="preview-story__body">
      <div class="q-mt-xl col-12 column">
        <span class="text-body1" style="color: #9fa1a8">
          {{ props.article.description }}
        </span>
        <q-img class="full-width q-my-sm" :src="props.article.previewImg" alt="no way" />
      </div>
      <div class="preview-story__content text-body1 col-12" style="color: #9fa1a8" v-html="props.article.content" />
    </div>
  </div>
</template>

<script setup>
const props = defineProps({
  article: {
    title: {
      type: String,
      required: true,
    },
    description: { type: String, required: true },
    previewImg: {
      type: null,
      required: false,
    },
    categories: { type: Array, required: true },
    content: { type: String, required: true },
  },
  user: {
    type: Object,
    required: true,
  },
});
</script>

<style lang="scss" scoped>
.preview-story {
  width: 100%;
  &__header {
    margin-left: -15.27vw;
    width: 100vw;
    padding-left: 15.27vw;
    padding-right: 15.27vw;
    padding-top: 22px;
    padding-bottom: 22px;
    background-color: #272930;
  }
  &__body {
    padding-left: 10.2vw;
    padding-right: 10.2vw;
    @media (max-width: 600px) {
      padding-left: 0;
      padding-right: 0;
    }
  }
  :deep(.preview-story__content) {
    img {
      width: 100% !important;
      height: auto !important;
      margin-top: 8px !important;
      margin-bottom: 8px !important;
    }
  }
}
</style>
